View Issue Details

IDProjectCategoryView StatusLast Update
14309Bug reports[All Projects] Installationpublic2019-04-30 09:11
Reporterefingdmi Assigned Todominikvitt  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14309: Upgrade to 3.15 SLQ Error
Description

"I'm trying to upgrade limesurvey server from v3.4.3 to 3.15.3 but I'm getting an error
"An non-recoverable error happened during the update. Error details:
CDbCommand ne može da izvrši SQL-Statement: SQLSTATE[23000]: [Microsoft][ODBC Driver 13 for SQL Server][SQL Server]Cannot insert explicit value for identity column in table 'lime_surveymenu' when IDENTITY_INSERT is set to OFF."
see also https://www.limesurvey.org/forum/installation-a-update-issues/116947-upgrade-to-v3-15-sql-error-identity_insert-is-set-to-off/177655

Steps To Reproduce

upgrade to 3.15

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5+181115
I will donate to the project if issue is resolvedNo
Browserall
Database & DB-VersionMS SQL Server 2016
Server OS (if known)Windows Server 2012 R2 64Bit
Webserver software & version (if known)Apache Apache 2.4.33 (64bit)
PHP VersionPHP 7.2.6 (64bit)

Activities

DanielB

DanielB

2018-12-19 13:10

reporter   ~50008

Changing line 2613 of the file from
'id' => "pk",
to
'id' => "integer NOT NULL",
should do the trick. Afterwards I changed the column 'id' of this table back to primary key with identity via MS Server Management studio.

LS 3.15.5+181115
MSSQL 12.0.6024.0
PHP 5.6.34

DanielB

DanielB

2018-12-19 13:12

reporter   ~50009

Sorry, forgot to mention the file: application\helpers\update\updatedb_helper.php

ming123ABC

ming123ABC

2019-01-04 03:33

reporter   ~50098

Hi, i have same problem,But i try same solution , limesurvey 3.15 can not work

ming123ABC

ming123ABC

2019-01-04 08:31

reporter   ~50100

Hi i change some code,i can login to 3.15,but no surveymenu

I change code back,it still no show menu what should i do



擷取.PNG (46,256 bytes)
擷取.PNG (46,256 bytes)
DenisChenu

DenisChenu

2019-01-04 09:53

developer   ~50101

Can you try:

  1. Configuration : Menu configuration / Reset
  2. Configuration : Menu entries configuration / Reset
ming123ABC

ming123ABC

2019-01-04 09:55

reporter   ~50102

Configuration : Menu configuration / Reset
Configuration : Menu entries configuration / Reset

where should i try?

filename?

ming123ABC

ming123ABC

2019-01-04 10:20

reporter   ~50103

thx

I Solved the issue, by going to Configuration->Menu Configuration and hitting Reset.

3.4 can show default menu

ming123ABC

ming123ABC

2019-01-04 10:22

reporter   ~50104

3.15 can login but no menu after going to Configuration->Menu Configuration and hitting Reset.

DenisChenu

DenisChenu

2019-01-04 11:35

developer   ~50105

You must do the 2 part : Menu configuration + Menu entries configuration …

ming123ABC

ming123ABC

2019-01-07 03:14

reporter   ~50117

Hi DenisChenu

Limesurvey 3.15 can not restart Menu entries configuration, it is still in porgress @@

ming123ABC

ming123ABC

2019-01-07 03:15

reporter   ~50118

As picture



擷取-2.PNG (54,777 bytes)
擷取-2.PNG (54,777 bytes)
qualitas

qualitas

2019-01-12 01:36

reporter   ~50179

This version has a main problem issue and should be retrograde to beta.

What is the last stable working version? 3.14?
I cannot find where to download it?

Is there a way to be advised when 3.15 will work properly?

qualitas

qualitas

2019-01-12 01:49

reporter   ~50180

Ok, I found the downloads on GitHub and subscribe to be advised of new release here:
https://github.com/LimeSurvey/LimeSurvey/releases

But, is it 3.15.2 the last stable version?

ming123ABC

ming123ABC

2019-01-14 03:08

reporter   ~50186

so i need to download 3.14 to try if limesurvey work

DenisChenu

DenisChenu

2019-01-14 08:39

developer   ~50187

About menu : https://bugs.limesurvey.org/view.php?id=14234

Did you do on the good order ?

efingdmi

efingdmi

2019-01-21 10:32

reporter   ~50285

Hi all,
unfortunately the suggesed soution does not work. Still no upgrade possible.

efingdmi

efingdmi

2019-02-05 10:26

reporter   ~50403

anything new here? is there a release date for 3.16? Maybe with a slolution of this problem?

dominikvitt

dominikvitt

2019-02-07 18:15

developer   ~50447

This issue is fixed.

Issue History

Date Modified Username Field Change
2018-12-03 09:21 efingdmi New Issue
2018-12-19 13:10 DanielB Note Added: 50008
2018-12-19 13:12 DanielB Note Added: 50009
2019-01-04 03:33 ming123ABC Note Added: 50098
2019-01-04 08:31 ming123ABC File Added: 擷取.PNG
2019-01-04 08:31 ming123ABC Note Added: 50100
2019-01-04 09:53 DenisChenu Note Added: 50101
2019-01-04 09:55 ming123ABC Note Added: 50102
2019-01-04 10:20 ming123ABC Note Added: 50103
2019-01-04 10:22 ming123ABC Note Added: 50104
2019-01-04 11:35 DenisChenu Note Added: 50105
2019-01-07 03:14 ming123ABC Note Added: 50117
2019-01-07 03:15 ming123ABC File Added: 擷取-2.PNG
2019-01-07 03:15 ming123ABC Note Added: 50118
2019-01-12 01:36 qualitas Note Added: 50179
2019-01-12 01:49 qualitas Note Added: 50180
2019-01-14 03:08 ming123ABC Note Added: 50186
2019-01-14 08:39 DenisChenu Note Added: 50187
2019-01-21 10:32 efingdmi Note Added: 50285
2019-02-05 10:26 efingdmi Note Added: 50403
2019-02-07 16:08 dominikvitt Assigned To => dominikvitt
2019-02-07 16:08 dominikvitt Status new => assigned
2019-02-07 18:15 dominikvitt Status assigned => resolved
2019-02-07 18:15 dominikvitt Resolution open => fixed
2019-02-07 18:15 dominikvitt Fixed in Version => 3.15.x
2019-02-07 18:15 dominikvitt Note Added: 50447
2019-04-30 09:11 c_schmitz Status resolved => closed